from axelrod.action import Action
from axelrod.player import Player
llIlIllIllIIIll, IIIIlIIllIIll = Action.C, Action.D
class IllIIIllIIIlIllIlI(Player):
    lIlllIIIlIIIIIIl = "strategy"
    lllIIIllI = {
        "memory_depth": float("inf"),  
        "stochastic": True,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def lIIllIIIIIII(IIIllllllIIIII, lllllIIIllIIIllllIlI: Player) -> Action:
        if len(lllllIIIllIIIllllIlI.history) == 0:
            return llIlIllIllIIIll
        llllllIllI = lllllIIIllIIIllllIlI.cooperations / len(lllllIIIllIIIllllIlI.history)
        return IIIllllllIIIII._random.random_choice(llllllIllI)